package net.es.oscars.policy.database;

import net.es.oscars.database.GenericHibernateDAO;

public class RuleDAO extends GenericHibernateDAO<Rule, Integer>{
    public RuleDAO(String dbName){
        this.setDatabase(dbName);
    }

    public Rule findMatchingRule(Rule rule) {
        String sql = "SELECT * FROM rules WHERE lTypeId=? AND lValue=? AND operatorId=? AND rValue=?";
        
        return (Rule) this.getSession().createSQLQuery(sql)
                          .addEntity(Rule.class)
                          .setInteger(0, rule.getLType().getId())
                          .setString(1, rule.getLValue())
                          .setInteger(2, rule.getOperator().getId())
                          .setString(3, rule.getRValue())
                          .uniqueResult();
    }
}
